List Payments for a Recurring Gift
curl --request GET \
--url https://api.virtuoussoftware.com/api/RecurringGiftPayment/{recurringGiftId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/RecurringGiftPayment/{recurringGiftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/RecurringGiftPayment/{recurringGiftId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/RecurringGiftPayment/{recurringGiftId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/RecurringGiftPayment/{recurringGiftId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 720455,
"gift": {
"id": 500310,
"contactId": 100456,
"giftDate": "2025-11-15T00:00:00Z",
"amount": 50
},
"expectedAmount": 50,
"expectedPaymentDate": "2025-11-15T00:00:00Z",
"dismissPaymentDate": null,
"fulfillPaymentDate": "2025-11-15T03:00:00Z"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Giving
List Payments for a Recurring Gift
Returns the expected payments for the recurring gift, each with the gift that fulfilled it, or the date it was dismissed if it was never collected. Use skip and take to page through the results.
GET
/
api
/
RecurringGiftPayment
/
{recurringGiftId}
List Payments for a Recurring Gift
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The recurring gift identifier.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on August 11, 2026
Was this page helpful?
⌘I